Rated 5 out of 5 stars

Just updated Firefox Nightly from 14.0a1 to Ver. 15.0a1 and lo and behold Noia is not compatible.

Any update in the works?

Thanks!

This review is for a previous version of the add-on (1.6.9.3).  This user has other reviews of this add-on.

I posted a link to a FF15.0a1 compatible (installable) version of v1.6.9.3 a few days ago on Noia 4s support page (Mozillazine forum), but here is another beta (v1.7.0pre1) https://addons.mozilla.org/addon/noia-4/versions/

Its a "pre"(=beta), because I'm still working on some new things, but this version should run fine with FF15.0a1 and FF14.0a2, at least I had no problems after a few quick tests today.